gtkglext-0.12.1: Binding to the GTK+ OpenGL Extension

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.OpenGL.Pixmap

Contents

- Class Hierarchy
- Types
- Constructors
- Methods

Description

OpenGL pixmap which is maintained off-screen

Synopsis

- data GLPixmap
- class DrawableClass o => GLPixmapClass o
- castToGLPixmap :: GObjectClass obj => obj -> GLPixmap
- glPixmapNew :: GLConfig -> Pixmap -> IO GLPixmap
- glPixmapGetPixmap :: GLPixmap -> IO Pixmap

# Class Hierarchy

     | GObject
     | +----Drawable
     | +----GLPixmap

# Types

data GLPixmap Source

Instances

Eq GLPixmap |
Ord GLPixmap |
GObjectClass GLPixmap |
DrawableClass GLPixmap |
GLDrawableClass GLPixmap |
GLPixmapClass GLPixmap |

class DrawableClass o => GLPixmapClass o Source

Instances

GLPixmapClass GLPixmap |

castToGLPixmap :: GObjectClass obj => obj -> GLPixmap Source

# Constructors

glPixmapNew Source

Arguments

:: GLConfig |
-> Pixmap | `pixmap` - the `Pixmap` to be used as the rendering area.
-> IO GLPixmap |

Creates an off-screen rendering area.

# Methods

glPixmapGetPixmap :: GLPixmap -> IO Pixmap Source

Returns the `Pixmap` associated with a `GLPixmap`.